package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.PlayerEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Repository
public class PlayerDaoImpl implements PlayerDao {

    @PersistenceContext
    private EntityManager em;

    @Override
    public void create(PlayerEntity player) {
        em.persist(player);
    }

    @Override
    public List<PlayerEntity> findAll() {
        return em.createQuery("select p from PlayerEntity p", PlayerEntity.class)
                .getResultList();
    }

    @Override
    public PlayerEntity findById(Long id) {
        return em.find(PlayerEntity.class, id);
    }

    @Override
    public void remove(PlayerEntity player) {
        em.remove(player);
    }
}
