package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.TeamEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Repository
public class TeamDaoImpl implements TeamDao {

    @PersistenceContext
    private EntityManager em;

    @Override
    public void create(TeamEntity team) {
        em.persist(team);
    }

    @Override
    public List<TeamEntity> findAll() {
        return em.createQuery("select t from TeamEntity t", TeamEntity.class)
                .getResultList();
    }

    @Override
    public TeamEntity findById(Long id) {
        return em.find(TeamEntity.class, id);
    }

    @Override
    public void remove(TeamEntity team) {
        em.remove(team);
    }
}
