package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.TeamManagerEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Repository
public class TeamManagerDaoImpl implements TeamManagerDao {

    @PersistenceContext
    private EntityManager em;

    @Override
    public void create(TeamManagerEntity teamManager) {
        em.persist(teamManager);
    }

    @Override
    public List<TeamManagerEntity> findAll() {
        return em.createQuery("select t from TeamManagerEntity t", TeamManagerEntity.class)
                .getResultList();
    }

    @Override
    public TeamManagerEntity findById(Long id) {
        return em.find(TeamManagerEntity.class, id);
    }

    @Override
    public void remove(TeamManagerEntity teamManager) {
        em.remove(teamManager);
    }
}
