package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.TournamentEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Repository
public class TournamentDaoImpl implements TournamentDao {

    @PersistenceContext
    private EntityManager em;

    @Override
    public void create(TournamentEntity tournament) {
        em.persist(tournament);
    }

    @Override
    public List<TournamentEntity> findAll() {
        return em.createQuery("select t from TournamentEntity t", TournamentEntity.class)
                .getResultList();
    }

    @Override
    public TournamentEntity findById(Long id) {
        return em.find(TournamentEntity.class, id);
    }

    @Override
    public void remove(TournamentEntity tournament) {
        em.remove(tournament);
    }
}
