package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.TournamentManagerEntity;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import java.util.List;

/**
 * @author Dominik Kozubík
 */
@Repository
public class TournamentManagerDaoImpl implements TournamentManagerDao {

    @PersistenceContext
    private EntityManager em;

    @Override
    public void create(TournamentManagerEntity tournamentManager) {
        em.persist(tournamentManager);
    }

    @Override
    public List<TournamentManagerEntity> findAll() {
        return em.createQuery("select t from TournamentManagerEntity t", TournamentManagerEntity.class)
                .getResultList();
    }

    @Override
    public TournamentManagerEntity findById(Long id) {
        return em.find(TournamentManagerEntity.class, id);
    }

    @Override
    public void remove(TournamentManagerEntity tournamentManager) {
        em.remove(tournamentManager);
    }
}
